package addbk.js;


import java.awt.Menu;
import java.awt.MenuBar;
import java.awt.MenuItem;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Created by IntelliJ IDEA.
 * User: Subhash
 * Date: Mar 16, 2005
 * Time: 7:35:36 AM
 * To change this template use File | Settings | File Templates.
 */

public class AddressBookMenu
        extends MenuBar
        implements ActionListener {

    Menu fileMenu =
            new Menu("File");
    MenuOpen openObject =
            new MenuOpen();
    MenuSave saveObject =
            new MenuSave();
    MenuMerge mergeXML =
            new MenuMerge();
    MenuExport exportXML =
            new MenuExport();
    MenuMerge mergeCSV =
            new MenuMerge();
    MenuExport exportCSV =
            new MenuExport();
    MenuExit systemExit =
            new MenuExit();

    public void
            actionPerformed(ActionEvent e) {
        ((Runnable)
                e.getSource()).run();
    }

    AddressBookMenu() {
        fileMenu.add(openObject);
        fileMenu.add(saveObject);
        fileMenu.add(mergeCSV);
        fileMenu.add(exportCSV);        
        fileMenu.add(systemExit);
        add(fileMenu);

        openObject.addActionListener(this);
        saveObject.addActionListener(this);
        mergeCSV.addActionListener(this);
        exportCSV.addActionListener(this);
        mergeXML.addActionListener(this);
        exportXML.addActionListener(this);
        systemExit.addActionListener(this);
    }

    public class MenuOpen extends MenuItem
            implements Runnable {
        MenuOpen() {
            super("Open");
        }

        public void run() {
            System.out.println("Run Open Object");
            AddressBookMediator display =
                    new AddressBookMediator();
            display.dbOpen();
        }
    }

    public class MenuSave extends MenuItem
            implements Runnable {
        MenuSave() {
            super("Save");
        }

        public void run() {
            System.out.println(
                    "Run Close Object");
            AddressBookMediator display =
                    new AddressBookMediator();
            display.dbSave();
        }
    }

    public class MenuMerge extends MenuItem
                implements Runnable {
            MenuMerge() {
                super("Merge CSV");
            }

            public void run() {
                System.out.println("Run Merge CSV");
                AddressBookMediator display =
                        new AddressBookMediator();
                display.dbMerge();
            }
        }

        public class MenuExport extends MenuItem
                implements Runnable {
            MenuExport() {
                super("Export CSV");
            }

            public void run() {
                System.out.println("Run Export CSV");
                AddressBookMediator display =
                        new AddressBookMediator();
                display.dbExport();
            }
        }


    public class MenuExit extends MenuItem
            implements Runnable {
        MenuExit() {
            super("Exit");
        }

        public void run() {
            System.out.println("Run exit");
            System.exit(0);
        }
    }


}