package addbk.midtermAddressBook;

import java.util.Vector;

public class AddressBookMediator {

  private static addbk.midtermAddressBook.AddressBookCollection abc = new addbk.midtermAddressBook.AddressBookCollection();
    public static addbk.midtermAddressBook.AddressRecordEditor are = new addbk.midtermAddressBook.AddressRecordEditor();
  public AddressBookMediator() {

  }



  /** Gets the next record from the Collection. */
  public void nextRecord() {
    getAbc().incrementRecord();
  }

  /** Gets the previous record from the Collection. */
  public void prevRecord() {
    getAbc().decrementRecord();
  }

  /** Adds the current record to the Collection. */
  public void addRecord(AddressRecord ar) {
    getAbc().addRecord(ar);
  }

  /** Takes an AddressBookCollection and appends it to the
   * current records. The original file is not modified. */
  public void mergeCollection(AddressBookCollection abcNew) {
    Vector addressVector = abcNew.getAddressVector(); // Get all the addressRecords from abcNew.
    for (int i=0; i<addressVector.size(); i++) {
      abc.addRecord((AddressRecord)addressVector.elementAt(i));
    }
  }

  /** Deletes the current record from the Collection. */
  public void deleteCurrentRecord() {
    getAbc().deleteCurrentRecord();
  }

  public static AddressBookCollection getAbc() {
    return abc;
  }

  public static void setAbc(AddressBookCollection abc) {
    AddressBookMediator.abc = abc;
  }

}
