package addbk.print.labels;

import utils.PrintUtils;
import gui.ClosableJFrame;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Copyright DocJava, inc. User: lyon
 * <p/>
 * Date: Jan 22, 2005
 * <p/>
 * Time: 10:26:08 AM
 */
public class PrintFrame  extends ClosableJFrame
            implements ActionListener {
        public static void main(String[] args) {
            new PrintFrame();
        }

        public PrintFrame() {
            super("Printing Swing Components");


            Container content = getContentPane();
            JButton printButton = new JButton("Print");
            printButton.addActionListener(this);
            JPanel buttonPanel = new JPanel();
            buttonPanel.setBackground(Color.white);
            buttonPanel.add(printButton);
            content.add(buttonPanel, BorderLayout.SOUTH);
            LabelPanel lp = new LabelPanel();
            content.add(lp, BorderLayout.CENTER);
            pack();
            setVisible(true);
        }

        public void actionPerformed(ActionEvent event) {
            PrintUtils.printComponent(this);
        }
    }


